This topic can no longer be replied to because it has been locked.

MageMonkey or Mailchimp4Magento?
Gravatar
Joined: 2017-03-13
Posts: 21
Like many other Magento mailchimp users I switched to Mailchimp4Magento after being prompted to do so by mailchimp as they said that MageMonkey will not work after 1st of March. And Like many I have found that Mailchimp4Magento is missing many basic features that Magemonkey had (multi store support and subscribe at checkout being 2 fundamental features).

Now I have read in these forum that MageMonkey will still work ( for at least a "few more months"wink.

So my question is what is the best option as of today, revert back to MageMonkey? When will MageMonkey stop working? How long until Mailchimp4Magento will have mutlistore and subscribe at checkout support? (is there an timescale for this?)

Thanks
Gravatar
Joined: 2016-06-09
Posts: 1020
Only Mailchimp know how long their old API will continue working, this is up to them, I don't think they intend to drop it any time too soon but it isn't Ebizmart's decision.

If you need those features right away you can continue to use MageMonkey, we just no longer give technical support for it because we have our hands full with the new module, the new version with multi-store support is being tested at this moment, and there is no ETA for Subscribe on Checkout.
Gravatar
Joined: 2017-03-13
Posts: 21

pablo keller - 2017-03-21

Only Mailchimp know how long their old API will continue working, this is up to them, I don't think they intend to drop it any time too soon but it isn't Ebizmart's decision.

If you need those features right away you can continue to use MageMonkey, we just no longer give technical support for it because we have our hands full with the new module, the new version with multi-store support is being tested at this moment, and there is no ETA for Subscribe on Checkout.



Thanks for explaining. And just to add for anyone else following this mailchimp told me:

Unfortunately, I don't have a date for when older versions of API version 2.0 will stop working all together. There's a lot that goes into deprecating the API on our developer's end. The thought around this is that since the API version 2.0 is no longer supported, as we continue to build new features, that older API version is no longer tested with those updates. This means that things can break without us knowing, which could then cause an integration using API version 2.0 to not function as expected. We wanted to make sure that our users could rely on integrations that are using the older API versions up until a certain point, which is why we put the March 4th date in place. Up until March 4th, we continued supporting the MageMonkey integration, but beyond that, we're not able to say when the endpoints will stop working.

NEWSLETTER

Subscribe to our newsletter to receive emails and useful news articles